aboutsummaryrefslogtreecommitdiffstats
path: root/testing
diff options
context:
space:
mode:
authorWilliam Pitcock <nenolod@dereferenced.org>2011-05-27 01:43:29 -0500
committerWilliam Pitcock <nenolod@dereferenced.org>2011-05-27 01:43:29 -0500
commit52e01effdf433508c16dfd301758e235c55af2f0 (patch)
tree2d19097cce1c0bc46eb8463205692a1c016c7fd4 /testing
parent79e139c9ec2bc78e265c6af9c413a155a91eb8e3 (diff)
downloadaports-52e01effdf433508c16dfd301758e235c55af2f0.tar.gz
aports-52e01effdf433508c16dfd301758e235c55af2f0.tar.bz2
aports-52e01effdf433508c16dfd301758e235c55af2f0.tar.xz
testing/networkmanager: new aport
Diffstat (limited to 'testing')
-rw-r--r--testing/networkmanager/APKBUILD54
-rw-r--r--testing/networkmanager/networkmanager.initd23
2 files changed, 77 insertions, 0 deletions
diff --git a/testing/networkmanager/APKBUILD b/testing/networkmanager/APKBUILD
new file mode 100644
index 0000000000..63a28b2aa6
--- /dev/null
+++ b/testing/networkmanager/APKBUILD
@@ -0,0 +1,54 @@
+# Contributor: William Pitcock <nenolod@dereferenced.org>
+# Maintainer: William Pitcock <nenolod@dereferenced.org>
+pkgname=networkmanager
+pkgver=0.8.3.998
+pkgrel=0
+pkgdesc="network management tool"
+url="http://projects.gnome.org/NetworkManager/"
+arch="all"
+license="GPL"
+depends="dhcpcd iptables"
+depends_dev="dbus-glib-dev udev-dev libnl-dev util-linux-ng-dev
+ polkit-dev ppp-dev zlib-dev libiconv-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://ftp.gnome.org/pub/GNOME/sources/NetworkManager/${pkgver%.*}/NetworkManager-$pkgver.tar.bz2
+ networkmanager.initd"
+
+_builddir="$srcdir"/NetworkManager-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ LIBS="-lubacktrace" ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --localstatedir=/var \
+ --with-distro=debian \
+ --with-dhcpcd=yes \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+
+ install -m755 -D "$srcdir"/networkmanager.initd "$pkgdir"/etc/init.d/networkmanager
+
+ # stupid make install installs a custom init script, yuck
+ rm "$pkgdir"/etc/init.d/NetworkManager
+}
+
+md5sums="32a7aebfa3b7abdac81203028f1d676e NetworkManager-0.8.3.998.tar.bz2
+c1c4609f415d7288e223d8c99e2d52d3 networkmanager.initd"
diff --git a/testing/networkmanager/networkmanager.initd b/testing/networkmanager/networkmanager.initd
new file mode 100644
index 0000000000..a6bce80b59
--- /dev/null
+++ b/testing/networkmanager/networkmanager.initd
@@ -0,0 +1,23 @@
+#!/sbin/runscript
+# Copyright (c) 2008 Saleem Abdulrasool <compnerd@compnerd.org>
+# Distributed under the terms of the GNU General Purpose License v2
+# $Header: $
+
+depend() {
+ need dbus dhcpcd
+}
+
+start() {
+ ebegin "Starting NetworkManager"
+ start-stop-daemon --start --quiet --pidfile /var/run/NetworkManager.pid \
+ --exec /usr/sbin/NetworkManager -- --pid-file /var/run/NetworkManager.pid
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping NetworkManager"
+ start-stop-daemon --stop --quiet --pidfile /var/run/NetworkManager.pid
+ eend $?
+}
+
+# vim: set ft=gentoo-init-d ts=3 sw=3 et: